﻿using UnityEngine;

public class KonamiCode : MonoBehaviour
{
	public AudioSource bgm = new AudioSource();
	public float timeKey = 0f, timeCode = 0f;
	public GameObject receiver;
	public string message;

	private KeyCode[] konamiCode = {KeyCode.UpArrow,KeyCode.UpArrow,KeyCode.DownArrow,KeyCode.DownArrow,
									KeyCode.LeftArrow,KeyCode.RightArrow,KeyCode.LeftArrow,KeyCode.RightArrow,
									KeyCode.B,KeyCode.A};
	private int currentPos = 0;
	public bool inKonami = false;
	public bool KonamiMode = false;

	void Awake(){
		bgm=(AudioSource)gameObject.AddComponent("AudioSource");
		AudioClip track = new AudioClip();
		track=(AudioClip)Resources.Load ("Sound/Coin");
		bgm.loop=false;
		bgm.clip=track;
	}

	void OnGUI () {
		Event e = Event.current;
		if (e.isKey && Input.anyKeyDown && !inKonami && e.keyCode.ToString()!="None") {
			konamiFunction (e.keyCode);
		}
	}
	
	void Update () {
		if (inKonami) {
			bgm.Play();
			inKonami=false;
			KonamiMode=true;
		}
	}
	
	void konamiFunction (KeyCode incomingKey) {
		if(incomingKey==konamiCode[currentPos]) {
			currentPos++;
			Debug.Log("Ding");
		if((currentPos+1)>konamiCode.Length){
				inKonami=true;
				currentPos=0;
			}
		} else {
			currentPos=0;
		}
		
	}
}